commit cc2653123bc2e251013c30386d382eb5744a7d83
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Mar 3 00:20:33 2025 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 08a14c75034..b12838a3943 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250302
+20250303
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 29b1af50a6d..3ac009b8491 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,23 @@
+2025-03-02  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2025-02-28  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/116961
+	* d-codegen.cc (build_float_cst): Change new_value type from real_t to
+	real_value.
+	* d-ctfloat.cc (CTFloat::fabs): Default initialize the return value.
+	(CTFloat::ldexp): Likewise.
+	(CTFloat::parse): Likewise.
+	* d-longdouble.cc (longdouble::add): Likewise.
+	(longdouble::sub): Likewise.
+	(longdouble::mul): Likewise.
+	(longdouble::div): Likewise.
+	(longdouble::mod): Likewise.
+	(longdouble::neg): Likewise.
+	* d-port.cc (Port::isFloat32LiteralOutOfRange): Likewise.
+	(Port::isFloat64LiteralOutOfRange): Likewise.
+
 2025-01-21  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 8b2767c0f3a..7a9271cad3e 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-03-02  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2025-02-28  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/116961
+	* gdc.dg/pr116961.d: New test.
+
 2025-02-26  Stefan Schulze Frielinghaus  <stefansf@gcc.gnu.org>
 
 	Backported from master:

